মডেল API পেজ
ElevenLabs Turbo 2.5 API integration
Rivya Public API v1 দিয়ে ElevenLabs Turbo 2.5 ব্যবহার করুন: model id elevenlabs-turbo-2-5, supported inputs, parameters, Files API rules, credits এবং response examples সহ।
Available via APIটেক্সট ইনপুট প্রস্তুতঅডিও
API model id
elevenlabs-turbo-2-5
Inputs
text
Files API
minimal request-এর জন্য required নয়
Base credits
6
Capability
অডিও
Billing
METERED
প্রম্পট সীমা
5000 characters
Request contract
model id top level-এ পাঠান। Model-specific controls params-এ থাকবে।
| Key | Type | Required | Default | বিবরণ |
|---|---|---|---|---|
| model | string | Yes | elevenlabs-turbo-2-5 | elevenlabs-turbo-2-5 API model id ব্যবহার করুন। |
| prompt | string | Yes | - | এই model-এর জন্য maximum 5000 characters। |
| params | object | Yes | - | Model-specific parameter object। allowed keys-এর জন্য নিচের rows ব্যবহার করুন। |
| client_request_id | string | No | - | আপনার system-এ requests trace করার optional client-side id। |
Model parameters
| Key | Type | Required | Default | Range | Options | বিবরণ |
|---|---|---|---|---|---|---|
| voice | select | Yes | TX3LPaxmHKxFdv7VOQHJ | - | TX3LPaxmHKxFdv7VOQHJ, cgSgspJ2msm6clMCkdW9, pNInz6obpgDQGcFmaJgB, BIvP0GN1cAtSRTxNHnWS, aMSt68OGf4xUZAnLpTU8 | Voice নির্বাচন |
| stability | number | No | 0.5 | min 0 / max 1 / step 0.05 | - | Stability |
| similarity_boost | number | No | 0.75 | min 0 / max 1 / step 0.05 | - | Similarity boost |
| style | number | No | 0 | min 0 / max 1 / step 0.05 | - | Style |
| speed | number | No | 1 | min 0.7 / max 1.2 / step 0.05 | - | Speed |
| timestamps | select | No | false | - | false, true | Timestamps |
| previous_text | text | No | - | - | - | Previous text |
| next_text | text | No | - | - | - | Next text |
| language_code | text | No | - | - | - | Language code |
Minimal request
{
"model": "elevenlabs-turbo-2-5",
"prompt": "A polished audio concept for a short product story",
"params": {
"voice": "TX3LPaxmHKxFdv7VOQHJ",
"stability": 0.5,
"similarity_boost": 0.75,
"style": 0,
"speed": 1,
"timestamps": "false",
"previous_text": "এই line-এর আগের optional context",
"next_text": "এই line-এর পরের optional context",
"language_code": "en বা zh-এর মতো optional locale code"
}
}Create response
create endpoint public task id return করে। task succeeds বা fails না করা পর্যন্ত status endpoint poll করুন।
{
"id": "task_elevenlabs_turbo_2_5_example",
"status": "queued",
"model": "elevenlabs-turbo-2-5",
"reserved_credits": 6,
"final_credits": 0,
"created_at": "2026-05-11T00:00:00.000Z",
"updated_at": "2026-05-11T00:00:00.000Z",
"result": null,
"error": null
}Common errors
validation_failed, insufficient_credits, idempotency_conflict, rate_limited, not_found
create endpoint public task id return করে। task succeeds বা fails না করা পর্যন্ত status endpoint poll করুন।